//---------------------------------------------------------------------------
#ifndef PlayerUnitH
#define PlayerUnitH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
//---------------------------------------------------------------------------
class TControlForm : public TForm
{
__published:	// IDE-managed Components
    TComboBox *SelAction;
    TLabel *ActionLbl;
    TLabel *OnLbl;
    TComboBox *SelObjective;
    TComboBox *SelItem;
    TButton *GoForItBtn;
    TButton *DoNothingBtn;
    TComboBox *SelRep1;
    TComboBox *SelRep2;
    TComboBox *Rep1Obj;
    TComboBox *Rep2Obj;
    TComboBox *Rep1Item;
    TComboBox *Rep2Item;
    TLabel *V1ContLbl;
    TButton *CharDec;
    void __fastcall SelObjectiveChange(TObject *Sender);
    
    void __fastcall FormActivate(TObject *Sender);
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall SelActionChange(TObject *Sender);
    void __fastcall GoForItBtnClick(TObject *Sender);
    void __fastcall SelItemChange(TObject *Sender);
    void __fastcall SelRep1Change(TObject *Sender);
    void __fastcall SelRep2Change(TObject *Sender);
    void __fastcall Rep1ObjChange(TObject *Sender);
    void __fastcall Rep2ObjChange(TObject *Sender);
    void __fastcall DoNothingBtnClick(TObject *Sender);
    void __fastcall Rep1ItemChange(TObject *Sender);
    void __fastcall Rep2ItemChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
    __fastcall TControlForm(TComponent* Owner);
    void ResetCharactersList();
    void ResetInventory();
    void ResetRep1Inventory();
    void ResetRep2Inventory();
    void ResetActionsList();
    Character *ActiveCharacter;
    Character *ReferTo,*Rep1Objective,*Rep2Objective;
    InventoryItem *ItemObj,*Rep1ItemObj,*Rep2ItemObj;
};
//---------------------------------------------------------------------------
extern TControlForm *ControlForm;
//---------------------------------------------------------------------------
#endif
